A faster client for slow computers. Mainly focuses on reducing the memory footprint. No web-framework is involved.

**This client is not a full replacement and never will be!** Due to Discord's TOS, [automating users beyond the bot API is not allowed](https://support.discord.com/hc/en-us/articles/115002192352-Automated-user-accounts-self-bots-). This introduces limitations, like being unable to create groups, join servers and add friends.

This is made to allow you to stay in touch with friends. Servers will only receive basic support.

## What currently works?
• Viewing conversations  
• Receiving messages  
• Sending messages  
• Receiving missed messages due to disconnect  
• Message sounds  
• Sorted conversations  
• Unread notification markers  
• Handling misdelivered messages - somewhat, they're output to console.  

## What currently doesn't work?
**Literally everything that isn't listed above.**

## Prerequisites
> #### Python 3.5.3 or newer
> <img src="assets/images/windows.png" width="16" height="16" alt=""> **Windows:** [Download](https://www.python.org/downloads/)  
> <img src="assets/images/debian.png" width="16" height="16" alt=""> **Debian:** `apt-get install python3`  
_**Note:** Windows 7 support was dropped with Python 3.9 (Thanks, asshats), use Python 3.8.x, on 7._  

> #### discord.py
> <img src="assets/images/windows.png" width="16" height="16" alt=""> **Windows:** `py -m pip install discord.py`  
> <img src="assets/images/debian.png" width="16" height="16" alt=""> **Debian:** `pip3 install discord.py`  

> #### QtPy
> <img src="assets/images/windows.png" width="16" height="16" alt=""> **Windows:** `py -m pip install QtPy`  
> <img src="assets/images/debian.png" width="16" height="16" alt=""> **Debian:** `apt-get install python3-qtpy`  

> #### A Qt library compatible with QtPy
> There is multiple choices, QtPy is compatible with PyQt5, PyQt4, PySide2 and PySide. Don't know what to choose? You probably want PyQt5:  
> <img src="assets/images/windows.png" width="16" height="16" alt=""> **Windows:** `py -m pip install PyQt5`  
> <img src="assets/images/debian.png" width="16" height="16" alt=""> **Debian:** `apt-get install python3-pyqt5`  